import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ProgressSpinnerService {
    private subject;
    /**
     * Function to show/hide spinner
     * @param bShow - true: show spinner, false: hide spinner
     */
    sendMessage(bShow: boolean): void;
    clearMessage(): void;
    getMessage(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressSpinnerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ProgressSpinnerService>;
}
